cURL
curl --request GET \
--url https://backendapi.corbado.io/v2/passkeyIntelligence/{projectID}/rulesetsMetadata \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backendapi.corbado.io/v2/passkeyIntelligence/{projectID}/rulesetsMetadata"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backendapi.corbado.io/v2/passkeyIntelligence/{projectID}/rulesetsMetadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"isActive": true,
"rulesetID": "<string>",
"projectID": "<string>",
"version": 123,
"type": "<string>",
"createdMs": "<string>"
}
],
"paging": {
"page": 1,
"totalPages": 123,
"totalItems": 123
}
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}Connect reads
Get passkeyintelligence rulesetsmetadata
Retrieves a list of ruleSets Metadata for a Connect project
GET
/
passkeyIntelligence
/
{projectID}
/
rulesetsMetadata
cURL
Authorizations
basicAuthbearerAuth
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
The project ID
Query Parameters
Filter results by specific fields and conditions. Format: <field>:<operator>:<value>.
Supported operators include:
eq: equals (e.g.email:eq:mail@example\.commatches items where email equals mail@example.com)gt: greater than (e.g.created:gt:2021-01-01T00:00:00matches items created after Jan 1, 2021)lt: less than (e.g.created:lt:2021-01-01T00:00:00matches items created before Jan 1, 2021)
Field and direction to sort results. Use the format fieldName:asc or fieldName:desc.
Example:
"createdAt:desc"
The page number to retrieve for paginated results.
Example:
1
The number of items to return per page. Useful for pagination.
Example:
20
Was this page helpful?